PETSc version 3.17.4
Fix/Edit manual page

# MatSchurComplementComputeExplicitOperator

Compute the Schur complement matrix explicitly

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatSchurComplementComputeExplicitOperator(Mat A, Mat *S)

Collective on M

### Input Parameter

| M | - the matrix obtained with MatCreateSchurComplement()

### Output Parameter

| S | - the Schur complement matrix

### Notes

This can be expensive, so it is mainly for testing

Use MatSchurComplementGetPmat() to get a sparse approximation for the Schur complement suitable for use in building a preconditioner

### See Also

MatCreateSchurComplement(), MatSchurComplementUpdate(), MatSchurComplementGetPmat()

### Level

advanced

### Location

src/ksp/ksp/utils/schurm/schurm.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages